> ## Documentation Index
> Fetch the complete documentation index at: https://www.courier.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Release a digest early

> Send a digest now instead of waiting for its scheduled time, so your users get what they have collected so far right away.



## OpenAPI

````yaml /openapi-specs/openapi.documented.yml post /digests/schedules/{schedule_id}/trigger
openapi: 3.0.1
info:
  title: Courier
  description: The Courier REST API for sending and managing notifications across channels.
  version: 0.0.1
servers:
  - url: https://api.courier.com
    description: Production
security: []
paths:
  /digests/schedules/{schedule_id}/trigger:
    post:
      tags:
        - Digests
      summary: Release a digest early
      description: >-
        Send a digest now instead of waiting for its scheduled time, so your
        users get what they have collected so far right away.
      operationId: digests_release
      parameters:
        - name: schedule_id
          in: path
          description: >-
            The ID of the digest schedule to release, in the form `sch/{uuid}`.
            The value must be URL-encoded (e.g.
            `sch%2F00000000-0000-0000-0000-000000000000`).
          required: true
          schema:
            type: string
      responses:
        '204':
          description: >-
            The digest schedule was released. A `204` is also returned when the
            schedule currently has no in-progress digest instances to release.
        '403':
          description: The digest schedule does not belong to the authenticated workspace.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              examples:
                Unauthorized:
                  value:
                    message: Unauthorized
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Courier from '@trycourier/courier';

            const client = new Courier({
              apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
            });

            await client.digests.schedules.release('schedule_id');
        - lang: Python
          source: |-
            import os
            from courier import Courier

            client = Courier(
                api_key=os.environ.get("COURIER_API_KEY"),  # This is the default and can be omitted
            )
            client.digests.schedules.release(
                "schedule_id",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/trycourier/courier-go\"\n\t\"github.com/trycourier/courier-go/option\"\n)\n\nfunc main() {\n\tclient := courier.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Digests.Schedules.Release(context.TODO(), \"schedule_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: |-
            package com.courier.example;

            import com.courier.client.CourierClient;
            import com.courier.client.okhttp.CourierOkHttpClient;
            import com.courier.models.digests.schedules.ScheduleReleaseParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    CourierClient client = CourierOkHttpClient.fromEnv();

                    client.digests().schedules().release("schedule_id");
                }
            }
        - lang: Ruby
          source: |-
            require "courier"

            courier = Courier::Client.new(api_key: "My API Key")

            result = courier.digests.schedules.release("schedule_id")

            puts(result)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Courier\Client;

            use Courier\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API
            Key');


            try {
              $result = $client->digests->schedules->release('schedule_id');

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: C#
          source: >-
            using TryCourier;

            using TryCourier.Models.Digests.Schedules;


            CourierClient client = new();


            ScheduleReleaseParams parameters = new() { ScheduleID =
            "schedule_id" };


            await client.Digests.Schedules.Release(parameters);
        - lang: CLI
          source: |-
            courier digests:schedules release \
              --api-key 'My API Key' \
              --schedule-id schedule_id
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````